Skip to main content
GET
/
projects
/
{projectId}
/
annotations
/
{annotationId}
Get Annotation
curl --request GET \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations/{annotationId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations/{annotationId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations/{annotationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "ok",
  "results": {
    "date": "2022-02-15 12:00:00",
    "description": "Something interesting happened!",
    "id": 123,
    "user": {
      "id": 123,
      "first_name": "John",
      "last_name": "Smith"
    },
    "tags": [
      {
        "id": 123,
        "name": "<string>"
      }
    ]
  }
}
{
  "error": "<string>",
  "status": "error"
}
{
  "error": "<string>",
  "status": "error"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

annotationId
number
required

The id of the annotation

Response

Success

A JSON response object containing an annotation'

status
string
required

The status of the response

Example:

"ok"

results
AnnotationsEntry · object
required

Representation of a single annotation